petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGetPC

Returns a pointer to the preconditioner context set with KSPSetPC().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetPC(KSP ksp,PC *pc)

Not Collective

### Input Parameters

ksp -iterative context obtained from KSPCreate()

### Output Parameter

pc -preconditioner context

### See Also

KSPSetPC(), KSP

### Level

developer

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex12.c.html
src/ksp/ksp/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages